> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get manifest for an app definition version

GET https://{tenant_name}.benchling.com/api/v2-beta/app-definitions/{app_def_id}/versions/{version_id}/manifest.yaml

Get manifest for an app definition version

Reference: https://docs.benchling.com/docs/api/v2-beta/benchling-api-beta/app-definitions/get-benchling-app-definition-version-manifest

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `app_def_id` (string, required)
- `version_id` (string, required)

## Response

### 200

OK

## Errors

### 403 Forbidden Error

Forbidden

- `error` (ForbiddenErrorError, optional)

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### ForbiddenErrorError

- `invalidId` (string, optional)
- `message` (string, optional)
- `type` (string, optional)
- `userMessage` (string, optional)

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

## Examples

**Response**

```json
{
  "configuration": [
    {
      "description": "string",
      "fieldDefinitions": [
        {
          "description": "string",
          "isMulti": true,
          "isRequired": true,
          "name": "string",
          "requiredConfig": false,
          "type": "dna_sequence_link"
        }
      ],
      "name": "string",
      "requiredConfig": false,
      "type": "container_schema"
    }
  ],
  "features": [
    {
      "id": "data_sync_id1",
      "locations": [
        "ENTRY"
      ],
      "name": "My App Feature",
      "type": "APP_HOMEPAGE"
    }
  ],
  "info": {
    "description": "This is my first App!",
    "name": "My First App",
    "version": "0.1.0"
  },
  "manifestVersion": 1,
  "security": {
    "publicKey": "----BEGIN PUBLIC KEY----\nMIGbMBAGByqGSM49AgE...\n----END PUBLIC KEY----"
  },
  "subscriptions": {
    "deliveryMethod": "WEBHOOK",
    "messages": [
      {
        "type": "v2-beta.app.configuration.updated"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2-beta/app-definitions/appdef_e59sjL23Pqn30xHg/versions/1.0.0/manifest.yaml"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2-beta/app-definitions/appdef_e59sjL23Pqn30xHg/versions/1.0.0/manifest.yaml';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```